> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hill90.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List objects in a bucket



## OpenAPI

````yaml /openapi.yaml get /storage/buckets/{name}/objects
openapi: 3.0.3
info:
  title: Hill90 API
  description: Hill90 platform API — agent management and lifecycle operations.
  version: 0.1.0
servers:
  - url: /
    description: Relative (behind Traefik reverse proxy)
security: []
paths:
  /storage/buckets/{name}/objects:
    get:
      tags:
        - Storage
      summary: List objects in a bucket
      parameters:
        - name: name
          in: path
          required: true
          schema:
            type: string
        - name: prefix
          in: query
          schema:
            type: string
        - name: max_keys
          in: query
          schema:
            type: integer
            default: 100
        - name: continuation_token
          in: query
          schema:
            type: string
      responses:
        '200':
          description: Objects and common prefixes
          content:
            application/json:
              schema:
                type: object
                properties:
                  objects:
                    type: array
                    items:
                      type: object
                      properties:
                        key:
                          type: string
                        size:
                          type: integer
                        last_modified:
                          type: string
                          nullable: true
                        etag:
                          type: string
                  prefixes:
                    type: array
                    items:
                      type: string
                  is_truncated:
                    type: boolean
                  next_continuation_token:
                    type: string
                    nullable: true
                  key_count:
                    type: integer
        '401':
          description: Not authenticated
        '403':
          description: Requires admin role
        '404':
          description: Bucket not found
        '502':
          description: Storage service unavailable
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````